Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
ffde::/16
First address
ffde::
Last address
ffde:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
ffde:0000:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zone
e.d.f.f.ip6.arpa
Split into smaller subnets/24

ffde::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
1ffde::/24ffde:ff:ffff:ffff:ffff:ffff:ffff:ffff
2ffde:100::/24ffde:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3ffde:200::/24ffde:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4ffde:300::/24ffde:3ff:ffff:ffff:ffff:ffff:ffff:ffff
5ffde:400::/24ffde:4ff:ffff:ffff:ffff:ffff:ffff:ffff
6ffde:500::/24ffde:5ff:ffff:ffff:ffff:ffff:ffff:ffff
7ffde:600::/24ffde:6ff:ffff:ffff:ffff:ffff:ffff:ffff
8ffde:700::/24ffde:7ff:ffff:ffff:ffff:ffff:ffff:ffff
9ffde:800::/24ffde:8ff:ffff:ffff:ffff:ffff:ffff:ffff
10ffde:900::/24ffde:9ff:ffff:ffff:ffff:ffff:ffff:ffff
11ffde:a00::/24ffde:aff:ffff:ffff:ffff:ffff:ffff:ffff
12ffde:b00::/24ffde:bff:ffff:ffff:ffff:ffff:ffff:ffff
13ffde:c00::/24ffde:cff:ffff:ffff:ffff:ffff:ffff:ffff
14ffde:d00::/24ffde:dff:ffff:ffff:ffff:ffff:ffff:ffff
15ffde:e00::/24ffde:eff:ffff:ffff:ffff:ffff:ffff:ffff
16ffde:f00::/24ffde:fff:ffff:ffff:ffff:ffff:ffff:ffff
17ffde:1000::/24ffde:10ff:ffff:ffff:ffff:ffff:ffff:ffff
18ffde:1100::/24ffde:11ff:ffff:ffff:ffff:ffff:ffff:ffff
19ffde:1200::/24ffde:12ff:ffff:ffff:ffff:ffff:ffff:ffff
20ffde:1300::/24ffde:13ff:ffff:ffff:ffff:ffff:ffff:ffff
21ffde:1400::/24ffde:14ff:ffff:ffff:ffff:ffff:ffff:ffff
22ffde:1500::/24ffde:15ff:ffff:ffff:ffff:ffff:ffff:ffff
23ffde:1600::/24ffde:16ff:ffff:ffff:ffff:ffff:ffff:ffff
24ffde:1700::/24ffde:17ff:ffff:ffff:ffff:ffff:ffff:ffff
25ffde:1800::/24ffde:18ff:ffff:ffff:ffff:ffff:ffff:ffff
26ffde:1900::/24ffde:19ff:ffff:ffff:ffff:ffff:ffff:ffff
27ffde:1a00::/24ffde:1aff:ffff:ffff:ffff:ffff:ffff:ffff
28ffde:1b00::/24ffde:1bff:ffff:ffff:ffff:ffff:ffff:ffff
29ffde:1c00::/24ffde:1cff:ffff:ffff:ffff:ffff:ffff:ffff
30ffde:1d00::/24ffde:1dff:ffff:ffff:ffff:ffff:ffff:ffff
31ffde:1e00::/24ffde:1eff:ffff:ffff:ffff:ffff:ffff:ffff
32ffde:1f00::/24ffde:1fff:ffff:ffff:ffff:ffff:ffff:ffff
33ffde:2000::/24ffde:20ff:ffff:ffff:ffff:ffff:ffff:ffff
34ffde:2100::/24ffde:21ff:ffff:ffff:ffff:ffff:ffff:ffff
35ffde:2200::/24ffde:22ff:ffff:ffff:ffff:ffff:ffff:ffff
36ffde:2300::/24ffde:23ff:ffff:ffff:ffff:ffff:ffff:ffff
37ffde:2400::/24ffde:24ff:ffff:ffff:ffff:ffff:ffff:ffff
38ffde:2500::/24ffde:25ff:ffff:ffff:ffff:ffff:ffff:ffff
39ffde:2600::/24ffde:26ff:ffff:ffff:ffff:ffff:ffff:ffff
40ffde:2700::/24ffde:27ff:ffff:ffff:ffff:ffff:ffff:ffff
41ffde:2800::/24ffde:28ff:ffff:ffff:ffff:ffff:ffff:ffff
42ffde:2900::/24ffde:29ff:ffff:ffff:ffff:ffff:ffff:ffff
43ffde:2a00::/24ffde:2aff:ffff:ffff:ffff:ffff:ffff:ffff
44ffde:2b00::/24ffde:2bff:ffff:ffff:ffff:ffff:ffff:ffff
45ffde:2c00::/24ffde:2cff:ffff:ffff:ffff:ffff:ffff:ffff
46ffde:2d00::/24ffde:2dff:ffff:ffff:ffff:ffff:ffff:ffff
47ffde:2e00::/24ffde:2eff:ffff:ffff:ffff:ffff:ffff:ffff
48ffde:2f00::/24ffde:2fff:ffff:ffff:ffff:ffff:ffff:ffff
49ffde:3000::/24ffde:30ff:ffff:ffff:ffff:ffff:ffff:ffff
50ffde:3100::/24ffde:31ff:ffff:ffff:ffff:ffff:ffff:ffff
51ffde:3200::/24ffde:32ff:ffff:ffff:ffff:ffff:ffff:ffff
52ffde:3300::/24ffde:33ff:ffff:ffff:ffff:ffff:ffff:ffff
53ffde:3400::/24ffde:34ff:ffff:ffff:ffff:ffff:ffff:ffff
54ffde:3500::/24ffde:35ff:ffff:ffff:ffff:ffff:ffff:ffff
55ffde:3600::/24ffde:36ff:ffff:ffff:ffff:ffff:ffff:ffff
56ffde:3700::/24ffde:37ff:ffff:ffff:ffff:ffff:ffff:ffff
57ffde:3800::/24ffde:38ff:ffff:ffff:ffff:ffff:ffff:ffff
58ffde:3900::/24ffde:39ff:ffff:ffff:ffff:ffff:ffff:ffff
59ffde:3a00::/24ffde:3aff:ffff:ffff:ffff:ffff:ffff:ffff
60ffde:3b00::/24ffde:3bff:ffff:ffff:ffff:ffff:ffff:ffff
61ffde:3c00::/24ffde:3cff:ffff:ffff:ffff:ffff:ffff:ffff
62ffde:3d00::/24ffde:3dff:ffff:ffff:ffff:ffff:ffff:ffff
63ffde:3e00::/24ffde:3eff:ffff:ffff:ffff:ffff:ffff:ffff
64ffde:3f00::/24ffde:3fff:ffff:ffff:ffff:ffff:ffff:ffff
65ffde:4000::/24ffde:40ff:ffff:ffff:ffff:ffff:ffff:ffff
66ffde:4100::/24ffde:41ff:ffff:ffff:ffff:ffff:ffff:ffff
67ffde:4200::/24ffde:42ff:ffff:ffff:ffff:ffff:ffff:ffff
68ffde:4300::/24ffde:43ff:ffff:ffff:ffff:ffff:ffff:ffff
69ffde:4400::/24ffde:44ff:ffff:ffff:ffff:ffff:ffff:ffff
70ffde:4500::/24ffde:45ff:ffff:ffff:ffff:ffff:ffff:ffff
71ffde:4600::/24ffde:46ff:ffff:ffff:ffff:ffff:ffff:ffff
72ffde:4700::/24ffde:47ff:ffff:ffff:ffff:ffff:ffff:ffff
73ffde:4800::/24ffde:48ff:ffff:ffff:ffff:ffff:ffff:ffff
74ffde:4900::/24ffde:49ff:ffff:ffff:ffff:ffff:ffff:ffff
75ffde:4a00::/24ffde:4aff:ffff:ffff:ffff:ffff:ffff:ffff
76ffde:4b00::/24ffde:4bff:ffff:ffff:ffff:ffff:ffff:ffff
77ffde:4c00::/24ffde:4cff:ffff:ffff:ffff:ffff:ffff:ffff
78ffde:4d00::/24ffde:4dff:ffff:ffff:ffff:ffff:ffff:ffff
79ffde:4e00::/24ffde:4eff:ffff:ffff:ffff:ffff:ffff:ffff
80ffde:4f00::/24ffde:4fff:ffff:ffff:ffff:ffff:ffff:ffff
81ffde:5000::/24ffde:50ff:ffff:ffff:ffff:ffff:ffff:ffff
82ffde:5100::/24ffde:51ff:ffff:ffff:ffff:ffff:ffff:ffff
83ffde:5200::/24ffde:52ff:ffff:ffff:ffff:ffff:ffff:ffff
84ffde:5300::/24ffde:53ff:ffff:ffff:ffff:ffff:ffff:ffff
85ffde:5400::/24ffde:54ff:ffff:ffff:ffff:ffff:ffff:ffff
86ffde:5500::/24ffde:55ff:ffff:ffff:ffff:ffff:ffff:ffff
87ffde:5600::/24ffde:56ff:ffff:ffff:ffff:ffff:ffff:ffff
88ffde:5700::/24ffde:57ff:ffff:ffff:ffff:ffff:ffff:ffff
89ffde:5800::/24ffde:58ff:ffff:ffff:ffff:ffff:ffff:ffff
90ffde:5900::/24ffde:59ff:ffff:ffff:ffff:ffff:ffff:ffff
91ffde:5a00::/24ffde:5aff:ffff:ffff:ffff:ffff:ffff:ffff
92ffde:5b00::/24ffde:5bff:ffff:ffff:ffff:ffff:ffff:ffff
93ffde:5c00::/24ffde:5cff:ffff:ffff:ffff:ffff:ffff:ffff
94ffde:5d00::/24ffde:5dff:ffff:ffff:ffff:ffff:ffff:ffff
95ffde:5e00::/24ffde:5eff:ffff:ffff:ffff:ffff:ffff:ffff
96ffde:5f00::/24ffde:5fff:ffff:ffff:ffff:ffff:ffff:ffff
97ffde:6000::/24ffde:60ff:ffff:ffff:ffff:ffff:ffff:ffff
98ffde:6100::/24ffde:61ff:ffff:ffff:ffff:ffff:ffff:ffff
99ffde:6200::/24ffde:62ff:ffff:ffff:ffff:ffff:ffff:ffff
100ffde:6300::/24ffde:63ff:ffff:ffff:ffff:ffff:ffff:ffff
101ffde:6400::/24ffde:64ff:ffff:ffff:ffff:ffff:ffff:ffff
102ffde:6500::/24ffde:65ff:ffff:ffff:ffff:ffff:ffff:ffff
103ffde:6600::/24ffde:66ff:ffff:ffff:ffff:ffff:ffff:ffff
104ffde:6700::/24ffde:67ff:ffff:ffff:ffff:ffff:ffff:ffff
105ffde:6800::/24ffde:68ff:ffff:ffff:ffff:ffff:ffff:ffff
106ffde:6900::/24ffde:69ff:ffff:ffff:ffff:ffff:ffff:ffff
107ffde:6a00::/24ffde:6aff:ffff:ffff:ffff:ffff:ffff:ffff
108ffde:6b00::/24ffde:6bff:ffff:ffff:ffff:ffff:ffff:ffff
109ffde:6c00::/24ffde:6cff:ffff:ffff:ffff:ffff:ffff:ffff
110ffde:6d00::/24ffde:6dff:ffff:ffff:ffff:ffff:ffff:ffff
111ffde:6e00::/24ffde:6eff:ffff:ffff:ffff:ffff:ffff:ffff
112ffde:6f00::/24ffde:6fff:ffff:ffff:ffff:ffff:ffff:ffff
113ffde:7000::/24ffde:70ff:ffff:ffff:ffff:ffff:ffff:ffff
114ffde:7100::/24ffde:71ff:ffff:ffff:ffff:ffff:ffff:ffff
115ffde:7200::/24ffde:72ff:ffff:ffff:ffff:ffff:ffff:ffff
116ffde:7300::/24ffde:73ff:ffff:ffff:ffff:ffff:ffff:ffff
117ffde:7400::/24ffde:74ff:ffff:ffff:ffff:ffff:ffff:ffff
118ffde:7500::/24ffde:75ff:ffff:ffff:ffff:ffff:ffff:ffff
119ffde:7600::/24ffde:76ff:ffff:ffff:ffff:ffff:ffff:ffff
120ffde:7700::/24ffde:77ff:ffff:ffff:ffff:ffff:ffff:ffff
121ffde:7800::/24ffde:78ff:ffff:ffff:ffff:ffff:ffff:ffff
122ffde:7900::/24ffde:79ff:ffff:ffff:ffff:ffff:ffff:ffff
123ffde:7a00::/24ffde:7aff:ffff:ffff:ffff:ffff:ffff:ffff
124ffde:7b00::/24ffde:7bff:ffff:ffff:ffff:ffff:ffff:ffff
125ffde:7c00::/24ffde:7cff:ffff:ffff:ffff:ffff:ffff:ffff
126ffde:7d00::/24ffde:7dff:ffff:ffff:ffff:ffff:ffff:ffff
127ffde:7e00::/24ffde:7eff:ffff:ffff:ffff:ffff:ffff:ffff
128ffde:7f00::/24ffde:7fff:ffff:ffff:ffff:ffff:ffff:ffff
129ffde:8000::/24ffde:80ff:ffff:ffff:ffff:ffff:ffff:ffff
130ffde:8100::/24ffde:81ff:ffff:ffff:ffff:ffff:ffff:ffff
131ffde:8200::/24ffde:82ff:ffff:ffff:ffff:ffff:ffff:ffff
132ffde:8300::/24ffde:83ff:ffff:ffff:ffff:ffff:ffff:ffff
133ffde:8400::/24ffde:84ff:ffff:ffff:ffff:ffff:ffff:ffff
134ffde:8500::/24ffde:85ff:ffff:ffff:ffff:ffff:ffff:ffff
135ffde:8600::/24ffde:86ff:ffff:ffff:ffff:ffff:ffff:ffff
136ffde:8700::/24ffde:87ff:ffff:ffff:ffff:ffff:ffff:ffff
137ffde:8800::/24ffde:88ff:ffff:ffff:ffff:ffff:ffff:ffff
138ffde:8900::/24ffde:89ff:ffff:ffff:ffff:ffff:ffff:ffff
139ffde:8a00::/24ffde:8aff:ffff:ffff:ffff:ffff:ffff:ffff
140ffde:8b00::/24ffde:8bff:ffff:ffff:ffff:ffff:ffff:ffff
141ffde:8c00::/24ffde:8cff:ffff:ffff:ffff:ffff:ffff:ffff
142ffde:8d00::/24ffde:8dff:ffff:ffff:ffff:ffff:ffff:ffff
143ffde:8e00::/24ffde:8eff:ffff:ffff:ffff:ffff:ffff:ffff
144ffde:8f00::/24ffde:8fff:ffff:ffff:ffff:ffff:ffff:ffff
145ffde:9000::/24ffde:90ff:ffff:ffff:ffff:ffff:ffff:ffff
146ffde:9100::/24ffde:91ff:ffff:ffff:ffff:ffff:ffff:ffff
147ffde:9200::/24ffde:92ff:ffff:ffff:ffff:ffff:ffff:ffff
148ffde:9300::/24ffde:93ff:ffff:ffff:ffff:ffff:ffff:ffff
149ffde:9400::/24ffde:94ff:ffff:ffff:ffff:ffff:ffff:ffff
150ffde:9500::/24ffde:95ff:ffff:ffff:ffff:ffff:ffff:ffff
151ffde:9600::/24ffde:96ff:ffff:ffff:ffff:ffff:ffff:ffff
152ffde:9700::/24ffde:97ff:ffff:ffff:ffff:ffff:ffff:ffff
153ffde:9800::/24ffde:98ff:ffff:ffff:ffff:ffff:ffff:ffff
154ffde:9900::/24ffde:99ff:ffff:ffff:ffff:ffff:ffff:ffff
155ffde:9a00::/24ffde:9aff:ffff:ffff:ffff:ffff:ffff:ffff
156ffde:9b00::/24ffde:9bff:ffff:ffff:ffff:ffff:ffff:ffff
157ffde:9c00::/24ffde:9cff:ffff:ffff:ffff:ffff:ffff:ffff
158ffde:9d00::/24ffde:9dff:ffff:ffff:ffff:ffff:ffff:ffff
159ffde:9e00::/24ffde:9eff:ffff:ffff:ffff:ffff:ffff:ffff
160ffde:9f00::/24ffde:9fff:ffff:ffff:ffff:ffff:ffff:ffff
161ffde:a000::/24ffde:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
162ffde:a100::/24ffde:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
163ffde:a200::/24ffde:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
164ffde:a300::/24ffde:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
165ffde:a400::/24ffde:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
166ffde:a500::/24ffde:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
167ffde:a600::/24ffde:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
168ffde:a700::/24ffde:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
169ffde:a800::/24ffde:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
170ffde:a900::/24ffde:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
171ffde:aa00::/24ffde:aaff:ffff:ffff:ffff:ffff:ffff:ffff
172ffde:ab00::/24ffde:abff:ffff:ffff:ffff:ffff:ffff:ffff
173ffde:ac00::/24ffde:acff:ffff:ffff:ffff:ffff:ffff:ffff
174ffde:ad00::/24ffde:adff:ffff:ffff:ffff:ffff:ffff:ffff
175ffde:ae00::/24ffde:aeff:ffff:ffff:ffff:ffff:ffff:ffff
176ffde:af00::/24ffde:afff:ffff:ffff:ffff:ffff:ffff:ffff
177ffde:b000::/24ffde:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
178ffde:b100::/24ffde:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
179ffde:b200::/24ffde:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
180ffde:b300::/24ffde:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
181ffde:b400::/24ffde:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
182ffde:b500::/24ffde:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
183ffde:b600::/24ffde:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
184ffde:b700::/24ffde:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
185ffde:b800::/24ffde:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
186ffde:b900::/24ffde:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
187ffde:ba00::/24ffde:baff:ffff:ffff:ffff:ffff:ffff:ffff
188ffde:bb00::/24ffde:bbff:ffff:ffff:ffff:ffff:ffff:ffff
189ffde:bc00::/24ffde:bcff:ffff:ffff:ffff:ffff:ffff:ffff
190ffde:bd00::/24ffde:bdff:ffff:ffff:ffff:ffff:ffff:ffff
191ffde:be00::/24ffde:beff:ffff:ffff:ffff:ffff:ffff:ffff
192ffde:bf00::/24ffde:bfff:ffff:ffff:ffff:ffff:ffff:ffff
193ffde:c000::/24ffde:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
194ffde:c100::/24ffde:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
195ffde:c200::/24ffde:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
196ffde:c300::/24ffde:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
197ffde:c400::/24ffde:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
198ffde:c500::/24ffde:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
199ffde:c600::/24ffde:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
200ffde:c700::/24ffde:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
201ffde:c800::/24ffde:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
202ffde:c900::/24ffde:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
203ffde:ca00::/24ffde:caff:ffff:ffff:ffff:ffff:ffff:ffff
204ffde:cb00::/24ffde:cbff:ffff:ffff:ffff:ffff:ffff:ffff
205ffde:cc00::/24ffde:ccff:ffff:ffff:ffff:ffff:ffff:ffff
206ffde:cd00::/24ffde:cdff:ffff:ffff:ffff:ffff:ffff:ffff
207ffde:ce00::/24ffde:ceff:ffff:ffff:ffff:ffff:ffff:ffff
208ffde:cf00::/24ffde:cfff:ffff:ffff:ffff:ffff:ffff:ffff
209ffde:d000::/24ffde:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
210ffde:d100::/24ffde:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
211ffde:d200::/24ffde:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
212ffde:d300::/24ffde:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
213ffde:d400::/24ffde:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
214ffde:d500::/24ffde:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
215ffde:d600::/24ffde:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
216ffde:d700::/24ffde:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
217ffde:d800::/24ffde:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
218ffde:d900::/24ffde:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
219ffde:da00::/24ffde:daff:ffff:ffff:ffff:ffff:ffff:ffff
220ffde:db00::/24ffde:dbff:ffff:ffff:ffff:ffff:ffff:ffff
221ffde:dc00::/24ffde:dcff:ffff:ffff:ffff:ffff:ffff:ffff
222ffde:dd00::/24ffde:ddff:ffff:ffff:ffff:ffff:ffff:ffff
223ffde:de00::/24ffde:deff:ffff:ffff:ffff:ffff:ffff:ffff
224ffde:df00::/24ffde:dfff:ffff:ffff:ffff:ffff:ffff:ffff
225ffde:e000::/24ffde:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
226ffde:e100::/24ffde:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
227ffde:e200::/24ffde:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
228ffde:e300::/24ffde:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
229ffde:e400::/24ffde:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
230ffde:e500::/24ffde:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
231ffde:e600::/24ffde:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
232ffde:e700::/24ffde:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
233ffde:e800::/24ffde:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
234ffde:e900::/24ffde:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
235ffde:ea00::/24ffde:eaff:ffff:ffff:ffff:ffff:ffff:ffff
236ffde:eb00::/24ffde:ebff:ffff:ffff:ffff:ffff:ffff:ffff
237ffde:ec00::/24ffde:ecff:ffff:ffff:ffff:ffff:ffff:ffff
238ffde:ed00::/24ffde:edff:ffff:ffff:ffff:ffff:ffff:ffff
239ffde:ee00::/24ffde:eeff:ffff:ffff:ffff:ffff:ffff:ffff
240ffde:ef00::/24ffde:efff:ffff:ffff:ffff:ffff:ffff:ffff
241ffde:f000::/24ffde:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
242ffde:f100::/24ffde:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
243ffde:f200::/24ffde:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
244ffde:f300::/24ffde:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
245ffde:f400::/24ffde:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
246ffde:f500::/24ffde:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
247ffde:f600::/24ffde:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
248ffde:f700::/24ffde:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
249ffde:f800::/24ffde:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
250ffde:f900::/24ffde:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
251ffde:fa00::/24ffde:faff:ffff:ffff:ffff:ffff:ffff:ffff
252ffde:fb00::/24ffde:fbff:ffff:ffff:ffff:ffff:ffff:ffff
253ffde:fc00::/24ffde:fcff:ffff:ffff:ffff:ffff:ffff:ffff
254ffde:fd00::/24ffde:fdff:ffff:ffff:ffff:ffff:ffff:ffff
255ffde:fe00::/24ffde:feff:ffff:ffff:ffff:ffff:ffff:ffff
256ffde:ff00::/24ffde:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses